- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Friends

# QDrag Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qdrag.h.

`#include <qdrag.h>`

Inheritance diagram for QDrag:
[legend]

List of all members.

## Signals
void | actionChanged (Qt::DropAction action)
void | targetChanged (QWidget *newTarget)
## Public Member Functions
| QDrag (QWidget *dragSource)
| ~QDrag ()
void | setMimeData (QMimeData *data)
QMimeData * | mimeData () const
void | setPixmap (const QPixmap &)
QPixmap | pixmap () const
void | setHotSpot (const QPoint &hotspot)
QPoint | hotSpot () const
QWidget * | source () const
QWidget * | target () const
Qt::DropAction | start (Qt::DropActions supportedActions=Qt::CopyAction)
Qt::DropAction | exec (Qt::DropActions supportedActions=Qt::MoveAction)
Qt::DropAction | exec (Qt::DropActions supportedActions, Qt::DropAction defaultAction)
void | setDragCursor (const QPixmap &cursor, Qt::DropAction action)
## Friends
class | QDragManager

## Constructor & Destructor Documentation

QDrag | ( | QWidget * | dragSource | ) | `[explicit]`

~QDrag | ( |  | ) |

## Member Function Documentation

void setMimeData | ( | QMimeData * | data | ) |

Search for all occurrences

QMimeData* mimeData | ( |  | ) | const

Search for all occurrences

void setPixmap | ( | const QPixmap & |  | ) |

Search for all occurrences

QPixmap pixmap | ( |  | ) | const

Search for all occurrences

void setHotSpot | ( | const QPoint & | hotspot | ) |

Search for all occurrences

QPoint hotSpot | ( |  | ) | const

Search for all occurrences

QWidget* source | ( |  | ) | const

Search for all occurrences

QWidget* target | ( |  | ) | const

Search for all occurrences

Qt::DropAction start | ( | Qt::DropActions | supportedActions = `Qt::CopyAction` | ) |

Search for all occurrences

Qt::DropAction exec | ( | Qt::DropActions | supportedActions = `Qt::MoveAction` | ) |

Search for all occurrences

Qt::DropAction exec | ( | Qt::DropActions | supportedActions,
|  | Qt::DropAction | defaultAction
| ) |  |

Search for all occurrences

void setDragCursor | ( | const QPixmap & | cursor,
|  | Qt::DropAction | action
| ) |  |

Search for all occurrences

void actionChanged | ( | Qt::DropAction | action | ) | `[signal]`

Search for all occurrences

void targetChanged | ( | QWidget * | newTarget | ) | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QDragManager `[friend]`

Search for all occurrences

Definition at line 95 of file qdrag.h.

The documentation for this class was generated from the following file:

- QtGui/qdrag.h

QDrag QDrag QDrag QDrag QDrag QDrag QDrag QDrag QDrag QDrag
QDrag QDrag QDrag QDrag QDrag QDrag QDrag QDrag QDrag QDrag